// Code generated by ent, DO NOT EDIT.

package item

import (
	"time"

	"github.com/google/uuid"
)

const (
	// Label holds the string label denoting the item type in the database.
	Label = "item"
	// FieldID holds the string denoting the id field in the database.
	FieldID = "id"
	// FieldName holds the string denoting the name field in the database.
	FieldName = "name"
	// FieldAmount holds the string denoting the amount field in the database.
	FieldAmount = "amount"
	// FieldOriginalAmount holds the string denoting the original_amount field in the database.
	FieldOriginalAmount = "original_amount"
	// FieldUserID holds the string denoting the user_id field in the database.
	FieldUserID = "user_id"
	// FieldRefID holds the string denoting the ref_id field in the database.
	FieldRefID = "ref_id"
	// FieldBuyURL holds the string denoting the buy_url field in the database.
	FieldBuyURL = "buy_url"
	// FieldThumbnail holds the string denoting the thumbnail field in the database.
	FieldThumbnail = "thumbnail"
	// FieldSku holds the string denoting the sku field in the database.
	FieldSku = "sku"
	// FieldCurrency holds the string denoting the currency field in the database.
	FieldCurrency = "currency"
	// FieldNativeAmount holds the string denoting the native_amount field in the database.
	FieldNativeAmount = "native_amount"
	// FieldCondition holds the string denoting the condition field in the database.
	FieldCondition = "condition"
	// FieldStock holds the string denoting the stock field in the database.
	FieldStock = "stock"
	// FieldCreatedAt holds the string denoting the created_at field in the database.
	FieldCreatedAt = "created_at"
	// FieldUpdatedAt holds the string denoting the updated_at field in the database.
	FieldUpdatedAt = "updated_at"
	// EdgeUser holds the string denoting the user edge name in mutations.
	EdgeUser = "user"
	// EdgeMeta holds the string denoting the meta edge name in mutations.
	EdgeMeta = "meta"
	// Table holds the table name of the item in the database.
	Table = "items"
	// UserTable is the table that holds the user relation/edge.
	UserTable = "items"
	// UserInverseTable is the table name for the User entity.
	// It exists in this package in order to avoid circular dependency with the "user" package.
	UserInverseTable = "users"
	// UserColumn is the table column denoting the user relation/edge.
	UserColumn = "user_id"
	// MetaTable is the table that holds the meta relation/edge.
	MetaTable = "item_meta"
	// MetaInverseTable is the table name for the ItemMeta entity.
	// It exists in this package in order to avoid circular dependency with the "itemmeta" package.
	MetaInverseTable = "item_meta"
	// MetaColumn is the table column denoting the meta relation/edge.
	MetaColumn = "item_id"
)

// Columns holds all SQL columns for item fields.
var Columns = []string{
	FieldID,
	FieldName,
	FieldAmount,
	FieldOriginalAmount,
	FieldUserID,
	FieldRefID,
	FieldBuyURL,
	FieldThumbnail,
	FieldSku,
	FieldCurrency,
	FieldNativeAmount,
	FieldCondition,
	FieldStock,
	FieldCreatedAt,
	FieldUpdatedAt,
}

// ValidColumn reports if the column name is valid (part of the table columns).
func ValidColumn(column string) bool {
	for i := range Columns {
		if column == Columns[i] {
			return true
		}
	}
	return false
}

var (
	// DefaultRefID holds the default value on creation for the "ref_id" field.
	DefaultRefID func() string
	// DefaultCurrency holds the default value on creation for the "currency" field.
	DefaultCurrency string
	// DefaultCondition holds the default value on creation for the "condition" field.
	DefaultCondition string
	// DefaultStock holds the default value on creation for the "stock" field.
	DefaultStock int
	// DefaultCreatedAt holds the default value on creation for the "created_at" field.
	DefaultCreatedAt func() time.Time
	// DefaultUpdatedAt holds the default value on creation for the "updated_at" field.
	DefaultUpdatedAt func() time.Time
	// UpdateDefaultUpdatedAt holds the default value on update for the "updated_at" field.
	UpdateDefaultUpdatedAt func() time.Time
	// DefaultID holds the default value on creation for the "id" field.
	DefaultID func() uuid.UUID
)
